> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a table

> Updates a table's `name`, `description`, `columns` order array, or `icon`.

Returns 409 if the new name conflicts with an existing table in the same project.

Returns the updated table.



## OpenAPI

````yaml put /table/{tableId}
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /table/{tableId}:
    put:
      tags:
        - Tables
      summary: Update a table
      description: >-
        Updates a table's `name`, `description`, `columns` order array, or
        `icon`.


        Returns 409 if the new name conflicts with an existing table in the same
        project.


        Returns the updated table.
      operationId: updateTable
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: tableId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                description:
                  type: string
                columns:
                  type: array
                  items:
                    type: string
                icon:
                  type: object
                  properties:
                    name:
                      type: string
                    color:
                      type: string
                  required:
                    - name
                    - color
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      _id:
                        type: string
                      originId:
                        type: string
                      name:
                        type: string
                      slug:
                        type: string
                      description:
                        type: string
                      rows:
                        type: array
                        items:
                          type: string
                      columns:
                        type: array
                        items:
                          type: string
                      isStatic:
                        type: boolean
                        example: false
                      icon:
                        type: object
                        properties:
                          name:
                            type: string
                          color:
                            type: string
                        required:
                          - name
                          - color
                      ownerId:
                        type: string
                      projectId:
                        type: string
                      workspaceId:
                        type: string
                      createdAt:
                        type: number
                      updatedAt:
                        type: number
                      isDeleted:
                        type: boolean
                        example: false
                    required:
                      - _id
                      - name
                      - slug
                      - rows
                      - columns
                      - isStatic
                      - ownerId
                      - projectId
                      - workspaceId
                      - createdAt
                      - updatedAt
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '409':
          description: 409 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  type:
                    type: string
                    enum:
                      - TABLE_NAME_CONFLICT
                required:
                  - message
                  - type
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````